<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

<style type="text/css">
	

      .punto{

      	background-color: black;
      	position:absolute;
        left:0px;
        top:0px;
        width:1px;
        height:1px;
      }

</style>

	<script type="text/javascript">
		
        let Cuadrado=function(id,i,a,ancho=10,alto=10,color){

              let izquierda;
              let arriba;
              let atributoId;   

                 //propiedades publicas
                 this.ancho=10;
                 this.alto=10;
                 this.color="BLUE";



              // constructor
                this.Cuadrado=function(id,i,a,ancho=10,alto=10,color){
                   izquierda=i;
                   arriba=a;
                    this.ancho=ancho;
                     this.alto=alto;
                     this.color=color;
                     atributoId=id;
                     this.pintar="BLACK";
                         document.querySelector("body").innerHTML+='<div class="punto" id="'+ atributoId +'">&nbsp</div>';
                         document.querySelector("#"+ atributoId).style.top=this.getArriba();
                         document.querySelector("#"+ atributoId).style.left=this.getIzquierda();
                         document.querySelector("#"+ atributoId).style.width=this.ancho + "px";
                         document.querySelector("#"+ atributoId).style.height=this.alto + "px";
                         document.querySelector("#"+ atributoId).style.backgroundColor=this.color;

            

              };

             


                 // elemento estatico de tipo propiedad

                      Cuadrado.unidades="px";


              // getter y setter
              
              this.setIzquierda=function(valor){

                    izquierda=valor;
              }

                 this.setArriba=function(valor){

                        arriba=valor;
              }

              this.getIzquierda=function(){
                              
                     return izquierda + Cuadrado.unidades;

              }


             
               this.getArriba=function(){

                     return arriba + Cuadrado.unidades;
                             
              }

               this.setColor=function(colores){

                  this.color=colores;  

              }


                this.getColor=function(){

                     return this.color;

              }

                this.Cuadrado(id,i,a,ancho,alto,color);

        }


                 window.addEventListener("load",(e)=>{
                    
                    let uno=new Cuadrado("caja1",10,2);
                    let dos=new Cuadrado("caja2",100,230,100,200);
                    let tres=new Cuadrado("caja3",100,500,100,200,"BLUE");
               // console.log(uno.getArriba());
              //  console.log(dos.getArriba());
               // Cuadrado.unidades="pt";
              //  console.log(uno.getArriba());
              //  console.log(dos.getArriba());
                  });

          // crear objeto
                
               


	</script>
</head>
<body>

</body>
</html>